OPTGET(3ast)

NAME
optget - option parse assist

SYNOPSIS
    #include <option.h>
    Opt_t
    {
    };
    Optdisc_t
    {
    	unsigned long  version;
    	unsigned long  flags;
    	char*          catalog;
    	Optinfo_f      infof;
    };
    Opt_t   opt_info;
    void    optinit(Optdisc_t* disc, Error_f errorf);
    int     optget(char** argv, const char* usage);
    int     optstr(const char* string, const char* usage);
    int     optjoin(char** argv, ... [int (*optfun)(char** argv, int last)]);
    char*   optusage(const char* opts);
    int     optesc(Sfio_t* sp, const char* string, int flags);

DESCRIPTION

SEE ALSO